Package icyllis.arc3d.core.shaders

# Class GradientShader

java.lang.Object
icyllis.arc3d.core.shaders.GradientShader

All Implemented Interfaces:
  `RefCounted`, `Shader`

Direct Known Subclasses:
  `Gradient1DShader`, `Gradient2DShader`

public abstract sealed class GradientShader extends Object implements Shader permits Gradient1DShader, Gradient2DShader
Base class for shaders that generate gradient colors.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `GradientShader.Interpolation`
  Color interpolation method, is packed into an int.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final float`
  `kDegenerateTolerance`

  ### Fields inherited from interface icyllis.arc3d.core.shaders.Shader

  `TILE_MODE_CLAMP, TILE_MODE_DECAL, TILE_MODE_MIRROR, TILE_MODE_REPEAT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GradientShader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ref()`
  Increases the reference count by 1.
  `void`
  `unref()`
  Decreases the reference count by 1.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface icyllis.arc3d.core.shaders.Shader

  `isOpaque, makeWithLocalMatrix`

- ## Field Details

  - ### kDegenerateTolerance

    public static final float kDegenerateTolerance
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GradientShader

    public GradientShader()

- ## Method Details

  - ### ref

    public void ref()
    Description copied from interface: `RefCounted`
    Increases the reference count by 1.
    Specified by:
      `ref` in interface `RefCounted`

  - ### unref

    public void unref()
    Description copied from interface: `RefCounted`
    Decreases the reference count by 1.
    Specified by:
      `unref` in interface `RefCounted`